org.apache.cassandra.cql3.statements

## Class CreateTableStatement.RawStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.CreateTableStatement.RawStatement

Enclosing class:
  CreateTableStatement

    public static class CreateTableStatement.RawStatement
    extends CFStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Field Summary

Fields
`CFProperties` `properties`

### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

`cfName`

### Constructor Summary

Constructors
Constructor and Description
`RawStatement(CFName name, boolean ifNotExists)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addColumnAlias(ColumnIdentifier alias)`
`void` `addDefinition(ColumnIdentifier def, CQL3Type.Raw type, boolean isStatic)`
`void` `addKeyAliases(java.util.List<ColumnIdentifier> aliases)`
`ParsedStatement.Prepared` `prepare(ClientState clientState)` Transform this raw statement into a CreateTableStatement.
`ParsedStatement.Prepared` `prepare(Types udts)`

### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

`columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### properties

    public final CFProperties properties

### Constructor Detail

#### RawStatement

    public RawStatement(CFName name,
                        boolean ifNotExists)

### Method Detail

#### prepare

    public ParsedStatement.Prepared prepare(ClientState clientState)
                                     throws RequestValidationException

Transform this raw statement into a CreateTableStatement.

Specified by:
  `prepare` in class `ParsedStatement`
Throws:
  `RequestValidationException`

#### prepare

    public ParsedStatement.Prepared prepare(Types udts)
                                     throws RequestValidationException

Throws:
  `RequestValidationException`

#### addDefinition

    public void addDefinition(ColumnIdentifier def,
                              CQL3Type.Raw type,
                              boolean isStatic)

#### addKeyAliases

    public void addKeyAliases(java.util.List<ColumnIdentifier> aliases)

#### addColumnAlias

    public void addColumnAlias(ColumnIdentifier alias)